Bug 844601 - Review Request: perl-Meta-Builder - Tools for creating Meta objects to track custom metrics
Review Request: perl-Meta-Builder - Tools for creating Meta objects to track ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On: 844595
Blocks: 844610
  Show dependency treegraph
 
Reported: 2012-07-31 03:23 EDT by Jitka Plesnikova
Modified: 2013-01-30 07:49 EST (History)
3 users (show)

See Also:
Fixed In Version: perl-Meta-Builder-0.003-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-30 07:49:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2012-07-31 03:23:40 EDT
Spec URL: http://jplesnik.fedorapeople.org/perl-Meta-Builder/perl-Meta-Builder.spec
SRPM URL: http://jplesnik.fedorapeople.org/perl-Meta-Builder/perl-Meta-Builder-0.003-1.fc18.src.rpm
Description:
Meta programming is becomming more and more popular. The popularity of Meta
programming comes from the fact that many problems are made significantly
easier. There are a few specialized Meta tools out there, for instance
Class:MOP which is used by Moose to track class metadata.
Fedora Account System Username: jplesnik
Comment 1 Simone Caronni 2012-09-04 04:36:43 EDT
This has already been taken, so I'm taking the next one as agreed.
Comment 2 Petr Šabata 2013-01-18 09:16:40 EST
No real issues, approving.

Just three tips to make the package a bit better:
1. You can drop line 32; the empty directories removal is automatic.
2. Fix the typo in the %description, s/becomming/becoming/.
3. Substitute the '%{__perl}' macro with simple 'perl'.
Comment 3 Jitka Plesnikova 2013-01-30 07:09:34 EST
New Package SCM Request
=======================
Package Name: perl-Meta-Builder
Short Description: Tools for creating Meta objects to track custom metrics
Owners: jplesnik ppisar psabata
Branches:
InitialCC: perl-sig
Comment 4 Gwyn Ciesla 2013-01-30 07:15:08 EST
Git done (by process-git-requests).
Comment 5 Jitka Plesnikova 2013-01-30 07:49:37 EST
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.